From 911c553afbe9bf9962bde3f61c10410487d8b918 Mon Sep 17 00:00:00 2001
From: Ilya Gladyshev <ilya.v.gladyshev@gmail.com>
Date: Mon, 4 Sep 2023 21:25:23 +0100
Subject: [PATCH] check elevel before attaching backtrace

---
 src/backend/utils/error/elog.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/backend/utils/error/elog.c b/src/backend/utils/error/elog.c
index 8e1f3e8521..5b1372568a 100644
--- a/src/backend/utils/error/elog.c
+++ b/src/backend/utils/error/elog.c
@@ -500,6 +500,7 @@ errfinish(const char *filename, int lineno, const char *funcname)
 	if (!edata->backtrace &&
 		edata->funcname &&
 		backtrace_functions &&
+		elevel == ERROR &&
 		matches_backtrace_functions(edata->funcname))
 		set_backtrace(edata, 2);
 
-- 
2.39.2 (Apple Git-143)

